<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

if (isset($_POST['art_id'])){ $art_id=$_POST['art_id'];}
if (isset($_POST['art_art_id'])){ $art_art_id=$_POST['art_art_id'];}
if (isset($_POST['art_referencia'])){ $art_referencia=$_POST['art_referencia'];}
if (isset($_POST['nombre'])){$nombre=$_POST['nombre'];}
if (isset($_POST['cantidad'])){ $cantidad=$_POST['cantidad'];}
if ($_POST['art_iva']>0){$art_iva=$_POST['art_iva'];} else { $art_iva='0';}
if ($_POST['descuento']>0){ $descuento=$_POST['descuento']; } else { $descuento='0';}
if (isset($_POST['precio_venta'])){ $precio_venta=$_POST['precio_venta'];}
if (isset($_POST['vent_tipo'])){$vent_tipo=$_POST['vent_tipo'];}
if (isset($_POST['pres_id'])){ echo $pres_id=$_POST['pres_id'];}

$atri1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_art_id'");
$atri1 = mysqli_fetch_array($atri1);
$atributo1=$atri1['atributo1'];

$atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
$atri11 = mysqli_fetch_array($atri11);
if (isset($atri11['atri_nombre'])) { $atri_nombre=$atri11['atri_nombre']; } else { $atri_nombre='';}

$atributo2=$atri1['atributo2'];
$atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
$atri2 = mysqli_fetch_array($atri2);
if (isset($atri2['atri_nombre2'])) { $atri_nombre2=$atri2['atri_nombre2']; } else { $atri_nombre2='';}

$atri='('.$atri_nombre.' - '.$atri_nombre2.')';
$atributos = str_replace ( "( - )", '', $atri);
  
if (!empty($cantidad))
{
 /* $sqll=mysqli_query($con,"SELECT vent_art_id FROM venta_detalle_temp WHERE vent_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and detallado='no'");
    if($roww=mysqli_fetch_array($sqll))
    { 
        $can7=mysqli_query($con,"SELECT * FROM venta_detalle_temp WHERE vent_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and detallado='no'") or die(mysqli_error($con));  
        while($dato=mysqli_fetch_array($can7))
        {
            $c=$dato['vent_cantidad'];
            $suma=$c+$cantidad;
        }
        $registros=mysqli_query($con,"UPDATE venta_detalle_temp Set vent_cantidad='$suma',vent_precio='$precio_venta' 
        Where vent_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and detallado='no'") or die(mysqli_error($con));
    }
    else
    {   */
        
        $can=mysqli_query($con,"SELECT MAX(vent_id)as vent_id FROM venta_detalle_temp ") or die(mysqli_error($con)); 
        $dato=mysqli_fetch_array($can);
        $vent_id=$dato['vent_id']+1;

        $can2=mysqli_query($con,"SELECT * FROM articulos_presentacion where pres_art_id='$art_id' and pres_defecto='si' ") or die(mysqli_error($con)); 
        $dato2=mysqli_fetch_array($can2);
        $pres_unidad=$dato2['pres_unidad'];

        $insert_tmp=mysqli_query($con, "INSERT INTO venta_detalle_temp (vent_id,art_art_id,vent_art_id,vent_referencia,vent_nombre,vent_unidad,vent_x_cantidad,vent_cantidad,vent_iva,vent_desc,vent_precio,vent_tipo,usuario,empresa) 
        VALUES ('$vent_id','$art_art_id','$art_id','$art_referencia','$nombre $atributos','$pres_unidad','1','$cantidad','$art_iva','$descuento','$precio_venta','$vent_tipo','$usu_id','$empresa')");
   // }
}
?>